//
//  EcaSettingView.swift
//  forShip
//
//  Created by Mamoru Sugita on 2023/10/18.
//

import SwiftUI

struct EcaSettingView: View {
    
//    @State var ecaArea: RegisteredEca = RegisteredEca(ecaName: "eca")!
    var body: some View {
        VStack{
            
            VStack(alignment: .leading){
                Text("Switching Finish - ECA")
                    .foregroundColor(ColorSet.Body.color)

                HStack{
                    Text("17")
                    Text("NM")
                }
                .foregroundColor(ColorSet.Body.color)
                HStack{
                    Button(action: {
                        
                    }, label: {
                        Image(systemName: "minus.circle")
                    })
                    
                    Slider(value: .constant(1))
                    
                    Button(action: {
                        
                    }, label: {
                        Image(systemName: "plus.circle")
                    })
                }
            }
            
            Divider()
            
            
            
            Button(action: {
                
            }, label: {
                Text("Register")
                    .padding()
            })
            .background(ColorSet.PrimaryActiveIcon.color)
            .cornerRadius(30)
        }
        
        .padding(.horizontal)
    }
}

#Preview {
    EcaSettingView()
}
